@import url('https://fonts.googleapis.com/css?family=Ubuntu');
* { margin: 0; padding: 0;}
html, body {width: 100%;  height: 100%;  margin: 0; scroll-behavior: smooth;}
body {color:black; font-size:1.4vw;	font-family: 'Ubuntu', sans-serif;}
.cont{padding: 2% 2% 1% 2%; font-size: clamp(1rem, 0.5rem + 0.8vw, 1.7rem);line-height:140%;}
.contact{width:97vw; padding-top:2vh; height: auto; font-size:1.2vw; line-height:2.1vw;}
.pcontact{width:96%; padding: 1% 0 0 0;}
.info {position:relative; left:96%; top:-54vh; width:auto;}
.infob {float:right; margin-right: 3vw; vertical-align:text-top;}
.footer {
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  padding: .2rem;
  background-color: #283747;
  color:#CCC;
  opacity: .89;
  transition: opacity .15s ease-in-out;
}
.footer:hover {opacity:1;}
a:link {color: #39F;text-decoration: none;}
a:visited {color: #033;	text-decoration: none;}
a:hover {color: #900;text-decoration: none; }
a:active {color: #036; text-decoration: none;}
a.close{color: red;}
.apartado {background-color:#69C;; color:#FFF; width:45%; font-weight:400; padding-right:1.2%; padding-left:1.1%; border-radius: 1.2vw; border: solid 1px #9bF; margin-left:-1%; margin-top:1.25vw; margin-bottom:1vw;}
.resp-container {position: relative; overflow: hidden; margin-top:2%; padding-top: 45.25%;}
.resp-iframe {position: absolute; top: 0; left: 0;  width: 100%; height: 90%; border: 0;}
.llista {padding-left:2.1vw; margin-top:.7vw; margin-bottom:1.7vw;}
.llistab {padding-left:2.1vw; margin-top:1vw; margin-bottom:2vw; line-height:4vw; list-style-type: square;}
.logo {width:2.5vw; padding:.4vw; -webkit-transition: -webkit-transform 1.8s ease-in-out; transition: transform 1.8s ease-in-out;}
.logo:hover {-moz-transform: rotate3d(0,1,0,360deg);
    -webkit-transform: rotate3d(0,1,0,360deg);
    -ms-transform: rotate3d(0,1,0,360deg);
    transform: rotate3d(0,1,0,360deg);}
#logo{float:right; margin-right: 2vw; width:auto;padding: .5vw 0 0 .5vw;line-height: 50%;text-align:right; z-index:1000;}
a span{	display:none; font-size:79%; color:#fff; background:rgba(51,51,51,0.71); padding:9px; border-radius:3px; text-align:center;	position: absolute; margin-top:-5vh;	z-index:100;}
a {display: inline-block;}
a:hover span{display:block;}
.titol {background-color: #036; background: linear-gradient(to left, #036, #3380C9); width:100vw; height:auto; font-size: 1.4vw; color:#FFF; height:5vh; padding-top:1vh;}
.titol2 {padding-top:1vh; padding-bottom:1vh;}
.apartat {font-size:85%; font-weight:500; background-color:#D1F1F3; border: 2px solid #C6E9EB; border-radius:5px; padding:.8vw; display:grid;}
.w10{width:10%; float:left;}
.w25{width:25%; float:left;}
.circle, .circle2 {background-color: #036; border-radius: 50%; text-align: center; text-decoration: none; height:3.5vw; width: 3.5vw; font-size: 150%; font-weight:800; margin-left:-2.1vw; margin-top:-2.1vw; opacity:.9; }
.circle2 {padding: .8vw .5vw .2vw .5vw;  background: orange;  border: 3px solid #f58a42; color: #fff; text-align: center; margin:.25vw;}
.buttonlink{display:block; border:solid 1px #E8E8E8; width:100%; border-radius:4px; height:auto; line-height:1.6;text-decoration:none; padding:.7em;}
.buttonlink:hover{background-color: #E8E8E8;  border:solid 1px #CCC;}
.clock {font-size:80%; margin-right:1em;}
.logout {font-size:100%; color:brown;}
.nodisplay{display: none;}
.yesdisplay{display:inline-block;}

/*Sidebar*/
#sidebar, #content {height:100%; overflow:auto; float:left; transition: width .35s;}
#sidebar {background-color:#283747; width:4%; box-shadow: 2px 0 4px rgba(0,0,0,0.5); padding-top:3%;}
#sidebar.collapsed {width: 0;}
#sidebar.collapsed + #content { width: 100%;}
#content {width:96%;}
.navigation {list-style: none; font-size:2.1vw; text-align:center; font-weight:800;}
.nav-item {width: 1.5vw;}
.nav-item a {display: block; padding: .7vw;  color: #CCC; text-decoration: none; -webkit-transition: color 0.2s; transition: color 0.2s;}
.nav-item a:hover {color: #9CF;}

.bigtitol {background-color: #036; background: linear-gradient(to left, #036, #3380C9); width:98%; height:auto; font-size: 1.5vw; color:#FFF; padding:1%;}
.subtitol {width:100%; font-size: 1.2em; color:#FFF; padding-bottom:1%;}
.breadcrumb {display: inline-block;	box-shadow: 0 0 15px 1px rgba(0, 0, 0, 0.35); overflow:hidden; border-radius:.5vw;}
.breadcrumb a {
	text-decoration: none;
	outline: none;
	display: block;
	float: left;
	font-size: 1.5vw;
	font-weight:500;
	line-height: 3vw;
	color: white;
	padding: 0 1vw 0 3vw;
	position: relative;
}
.burguer{font-size: 1.5vw; color:#FFF; border:none; outline:none; padding:.6vw; background:transparent; cursor:pointer; margin: -.3vw 12px 3px 10px;}
.burguer:hover{ background:#FC0; opacity:.95; border-radius:50%}
.thumb, .thumbc {
  width: 2.1vw;
  height: 2.1vw;
  border: 2px solid #AAA;
  margin: -8px 2px 0 0;
  border-radius:50%;
 }
.thumbc {
  border:solid 1px #333;
  cursor: pointer;
 }
.thumbc:hover {transform: scale(2)}
.close {color: #CFF; font-size:120%;}
.close:hover {color: #C00;}
.gordo {font-size:150%; font-weight:900; margin-right:1vw;}
.xip{width:2vw; vertical-align:middle; filter: drop-shadow(2px 3px 5px #222)}

/*Icons*/
.iconcap {font-size: 152%; margin-left:.5vw;margin-right:.5vw; font-weight:800; vertical-align: middle;}
.smGlobalBtn {
    display: inline-block;
    cursor: pointer;
    width: 3vw;
    height: 3vw;
    margin-right: .7vw;
    text-decoration: none;
    text-align: center;
    color: white;
    font-size: 1.5vw;
    font-weight: 700;
    line-height: 2.3em;
    border-radius: 50%;
	padding:.5em .3em .1em .3em;
    color: white;
    -moz-border-radius:50%;
    -webkit-border-radius:50%;
}
.smGlobalBtn:hover {color: white; background-color: #374350;-webkit-box-shadow: 5px 5px 10px black;	box-shadow: 5px 5px 10px black;	-webkit-transition: 0.3s;	transition: 0.3s;}
.smGlobalBtn.blue {background-color: #2980b9;}
.smGlobalBtn.yellow {background-color: #f39c12;}
.smGlobalBtn.green {background-color: #27ae60;}
.smGlobalBtn.navy {background-color: #34495e;}
.smGlobalBtn.red {background-color: #c0392b;}
.smGlobalBtn.silver { background-color: #bdc3c7;}

/*Barra capítols*/ 
.breadcrumb {display: inline-block;	overflow:hidden; border-radius:.5vw;}
.breadcrumb a {	text-decoration: none;	outline: none;	display: block;	float: left; font-size: 1.5vw; font-weight:500; line-height: 3vw; color: white;	padding: 0 1vw 0 2.5vw;	position: relative;}
.breadcrumb a:first-child {padding-left:1vw; font-size: 2.1vw; color: #036; border-radius: 0 0 0 5px;}
.breadcrumb a:second-child {background: #aaa; padding-left: 2.6vw;	border-radius: 5px 0 0 5px;}
.breadcrumb a:third-child {background: #bbb; padding-left: 2.6vw;	border-radius: 5px 0 0 5px;}
.breadcrumb a:first-child:before {left: 1.4vw;}
.breadcrumb a:last-child {border-radius: 0 5px 5px 0; padding-right: 2vw;}
.breadcrumb a.active, .breadcrumb a:hover{background: #333; }
.breadcrumb a.active:after, .breadcrumb a:hover:after {	background: #333;}
.breadcrumb a:after {
	content: '';
	position: absolute;
	top: 0; 
	right: -1.8vw;
	width: 3.2vw; 
	height: 3.2vw;
	transform: scale(0.707) rotate(45deg);
	z-index: 1;
	background: #666;
	box-shadow: 2px -2px 0 2px rgba(0, 0, 0, 0.4), 	3px -3px 0 2px rgba(255, 255, 255, 0.1);
	border-radius: 0 7px 0 50px;
}
.breadcrumb a:last-child:after {background: white; content:none;}
.flat a, .flat a:after {background: #CFC ;color: black;	transition: all 0.5s;}
.flat a:before {background: white; }
.flat a:hover, .flat a.active, .flat a:hover:after, .flat a.active:after{background: #F4F40D;}
.invisible{font-size:0;}

/*Imatge*/
.poster, .poster2 { float:right;
  width: 37vw;
  height: 31vw;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr 30px;
  border-radius: .5em;
  overflow: hidden;
  margin-left:2.9em;
  margin-bottom:.7em;
}
.postere, .posterex {float:right; width: 21.5vw; margin-left:.7vw;}
.postere:hover {transform:scale(1.5,1.5);	transform-origin:200% center; z-index:200;}
.poster__img {width: 100%;  height: auto;  object-fit: cover;  grid-row: 1 / 3;  grid-column: 1;}
.poster__description { grid-row: 3;  grid-column: 1;  background: rgba(0,0,0,.8);  color: #fff;  font-size:1.1vw;  text-align: center;  padding: .1em;}
.poster2 {width: 29vw;}
.poster__img2 {width: 90%; height: auto; text-align:center; border-radius:10px;}
.postere {float:right; width:21%; margin-left:2%;}
.capital {float: left; width: 5vw; margin-right:.5vw; border: solid 1px black;}
.capital:hover {transform:scale(4,4);transform-origin:0 center; z-index:1000;}
.certificat {width:1.25vw; margin:1vh 0 1vh 26vw; cursor: pointer; border: 0; vertical-align: middle;}
.certificat:hover {transform: scale(1.5);}

/*Modal*/
#modal, #modal2, #modal3, #modal4 {background: rgba(253, 253, 253, 0.98); color: #000; position: fixed; top: 100vh; left: 0; height: 100vh; width: 100vw; transition: all .4s; padding:5vh 0 0 2vw; z-index:101;}
#mostrar-modal, #mostrar-modal2, #mostrar-modal3, #mostrar-modal4 {display: none;}
#mostrar-modal + label, #mostrar-modal2 + label, #mostrar-modal3 + label, #mostrar-modal4 + label {cursor: pointer; background-color: #ffff;}
#mostrar-modal2 + label:hover {}
#mostrar-modal + label:hover {}
#mostrar-modal3 + label:hover {}
#mostrar-modal4 + label:hover {}
#mostrar-modal:checked ~ #modal, #mostrar-modal2:checked ~ #modal2, #mostrar-modal3:checked ~ #modal3, #mostrar-modal4:checked ~ #modal4 {top: 0;}
#mostrar-modal:checked ~ #cerrar-modal + label, #mostrar-modal2:checked ~ #cerrar-modal2 + label, #mostrar-modal3:checked ~ #cerrar-modal3 + label, #mostrar-modal4:checked ~ #cerrar-modal4 + label {display: none;}
#cerrar-modal:hover, #cerrar-modal2:hover, #cerrar-modal3:hover, #cerrar-modal4:hover  {color: #C00;}
#cerrar-modal:checked ~ #modal, #cerrar-modal2:checked ~ #modal3, #cerrar-modal3:checked ~ #modal3, #cerrar-modal4:checked ~ #modal4 {top: 100vh;}
#cerrar-modal:checked + label, #cerrar-modal2:checked + label, #cerrar-modal3:checked + label, #cerrar-modal4:checked + label {display: none;}
#cerrar-modal + label, #cerrar-modal2 + label, #cerrar-modal3 + label, #cerrar-modal4 + label {float:right; margin-right:4em; margin-top:-1.2em; color:#D11A0B; font-weight:bold; cursor:pointer; font-size:1em;}
#cerrar-modal + label:hover, #cerrar-modal2 + label:hover, #cerrar-modal3 + label:hover, #cerrar-modal4 + label:hover {color:#E74C3C;}
.titolexercicis {font-size:1.7em; color:#21618C;}
.titollinks {font-size:1.7em; color:#EB984E;} 
.titolplus {font-size:1.7em; color:#E74C3C;} 
.titolpractica {font-size:1.7em; color:#4AA3B8;} 
.titoljoke {font-size:1.7em; color:#E2648F;}
.titolinvestiga {font-size:1.7em; color:#8E44AD;} 
.titolexercita {font-size:1.7em; color:#48AD46;} 
.line1 {height: 2px; border:0px; background-color:#21618C; width:79%; margin-bottom:.5vh;}
.line2 {height: 2px; border:0px; background-color:#EB984E; width:79%; margin-bottom:.5vh;}
.line3 {height: 2px; border:0px; background-color:#E74C3C; width:79%; margin-bottom:.5vh;}
.line4 {height: 2px; border:0px; background-color:#4AA3B8; width:79%; margin-bottom:.5vh;}
.line5 {height: 2px; border:0px; background-color:#8E44AD; width:79%; margin-bottom:.5vh;}
.line6 {height: 2px; border:0px; background-color:#48AD46; width:79%; margin-bottom:.5vh;}
.intractivities {margin-left:1%; width:89%; font-weight:600; color:#222; font-size:98%; line-height:2.1vw;}
.activities {margin-left:3%; width:98%; font-weight:500; color:#036; font-size:98%;}
.practice {width:100%; height:88vh; }
.button {
   background-color: transparent;
    border: solid 2px;
    padding: .1em .4em;
    text-align: center;
    text-decoration: none;
    font-size: 1.2em;
	font-weight:800;
    cursor: pointer;
	opacity: 1;
    transition: opacity .15s ease-in-out;
   -moz-transition: opacity .15s ease-in-out;
   -webkit-transition: opacity .15s ease-in-out;
}
.buttonconfig {
   background-color: #9CF;
    border: solid 1px #666666;
    padding: .1em .3em;
    text-align: center;
    text-decoration: none;
	font-weight:600;
    cursor: pointer;
}
.buttonex{font-size:90%; font-weight: 600; background-color:transparent;color:#036;cursor:pointer; border:2px solid #036; padding:.5vw; border-radius:4px; margin:1vw;}
.buttonex:hover{background-color:#eee;}
.save {position: absolute; top:1.7em; right:17%;  cursor:pointer; background:#99e699; color:#006600; border-color:#73C6B6; border-radius: 6px;}
.sol {position: absolute; top:1.7em; right:13%; color:#73C6B6; cursor:pointer; background:#F8C471; color: navajowhite; border-color:orange; border-radius: 6px;}
.save:hover {opacity:.7;}
.print {font-size:125%; font-weight: bolder; cursor:pointer; margin-right:1vw; border:0;}
.print:hover {opacity:.7;}

/*Colors*/
.blue {color:#21618C;}
.celeste {background-color: #B4E2E6;}
.gris {color:#ACB7C1}
.green {color:#99e699}
.greenb {background-color:#99e699}
.lime {color:#87DC60;}
.orange {color:gold;}
.red {color: #C00;}
.red:hover {opacity:.7;}
.redb {background-color: #C00;}
.redrb {background-color: #E74C3C; padding:.7vh; margin-right:.79vw; border-radius: 100%; font-size: 69%; color:beige;}
.redrb:hover {background-color: #C00;}
.sky {color: #4B99E7;}
.yellow {color: #FFC300;}

.copyright{color: #09F; opacity:.8; text-shadow:0 0 10px #666;}
#front { position:absolute;  width:auto;  right:10px;  top:10px; z-index:100;}
#fronti { position:absolute; width:auto; right:1vw; top:10vw; z-index:100;}
.activitats{float:left; visibility:hidden; color:white; margin-left:2%;}

/*Peu*/
.list-styled {margin-top:-1.7vh; vertical-align:middle; list-style: none;}
.list-unstyled {padding-left:1.2em; vertical-align:middle; list-style: none;  margin-top:-20px; margin-left:2.1em;}
.list-inline li {display: inline-block;	padding-left: 5px;  font-weight:900; font-size: 1.1vw;}
.botoactivitats {background:#FFF; color:#2980B9; font-size:1.2vw; padding:.7em .7em; border: solid 3px #2980B9; border-radius:50%; cursor:pointer;}
.botolinks {color:#EB984E; padding:.35em; border:solid 3px #EB984E; border-radius:50%;}
.botoexercicis {color:#21618C; padding:.4em .5em; border: solid 3px #21618C; border-radius:50%;}
.botorealitza {color:#48AD46; padding:.4em .5em; border: solid 3px #48AD46; border-radius:50%;}
.botoplus {color:#E74C3C; padding:.4em .5em; border: solid 3px #E74C3C; border-radius:50%;}
.botopractica {color:#4AA3B8; padding:.4em .5em; border: solid 3px #4AA3B8; border-radius:50%;}
.botoexercita {color:#48AD46; padding:.4em .5em; border: solid 3px #48AD46; border-radius:50%;}
.botoinvestiga {color:#8E44AD; padding:.4em .5em; border: solid 3px #5B2C6F; border-radius:50%;}
.progressbar {width: 70%;  background-color: #ddd; border-radius:4px; vertical-align:middle;margin-top:12px;}
.myBar {width: 10%;  height: 10px;  background-color: #87DC60;border-radius:4px;}
.foot-left{width: 40%; float:left;}
.foot-right{width: 40%; float:right;}
.foot-center{width: 17%; float:right;}
input[type="checkbox"]{display:none;}
input[type="checkbox"] ~ ul{height: 0;  transform-origin: left; transition: transform .1s ease-out; transform: scaleX(0);}
input[type="checkbox"]:checked ~ ul{transform-origin: left; transition: transform .2s ease-out; transform: scaleX(1);}

.buttonarrow{background-color:transparent; border:0px; vertical-align: middle;}
.pags {font-size: clamp(2vh, 1.1vw, 5vh);}
.arrow {font-size:260%; transition: all .2s ease-in-out; margin:.15em; cursor:pointer;}
.arrow:hover{opacity:.7;}
.sbuttonarrow,.sbuttonarrow2{font-size:240%; background-color:transparent;border:0px; vertical-align: middle;margin:.2vw;}
.sbuttonarrow{color:#999;cursor:pointer;}
.sbuttonarrow2{color:#CCC;}

/*Save bar*/
#snackbar, #snackbar2 {
  visibility: hidden;
  min-width: 250px;
  margin-left: -125px;
  background-color: #DAF7A6;
  color: #5F9007;
  text-align: center;
  border:solid 2px #5F9007;
  border-radius: 5px;
  padding: 16px;
  position: fixed;
  z-index: 1;
  left: 47%;
  bottom: 30px;
  font-size: 1.2vw;
}
#snackbar.show {visibility: visible; -webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;  animation: fadein 0.5s, fadeout 0.5s 2.5s;}
@-webkit-keyframes fadein {  from {bottom: 0; opacity: 0;}   to {bottom: 30px; opacity: 1;}}
@keyframes fadein {  from {bottom: 0; opacity: 0;}  to {bottom: 30px; opacity: 1;}}
@-webkit-keyframes fadeout {  from {bottom: 30px; opacity: 1;}   to {bottom: 0; opacity: 0;}}
@keyframes fadeout {  from {bottom: 30px; opacity: 1;}  to {bottom: 0; opacity: 0;}} 

/*Video incrustat*/
.videoWrapper {position: relative; left:0px; width:100%; height:0;  background-color: transparent;}
.videoWrapper43 {padding-top: 75%;}
.videoWrapper169 {padding-top: 56%;}
.videoIframe {position: absolute;  top: 1px;  right: 1px;  bottom: 1px;  left: 1px;  width: 98%; height:75%;  background-color: transparent;}
.videoPoster {
  position: absolute;
  top: 1px;
  right: 1px;
  left: 1px;
  width: 100%;
  height: 89%;
  margin: 0;
  padding: 0;
  cursor: pointer;
  border: 0;
  outline: none;
  background-position: 50% 50%;
  background-size: 100% 100%;
  background-size: cover;
  text-indent: -999em;
  overflow: hidden;
  opacity: 1;
  -webkit-transition: opacity 800ms, height 0s;
  -moz-transition: opacity 800ms, height 0s;
  transition: opacity 800ms, height 0s;
  -webkit-transition-delay: 0s, 0s;
  -moz-transition-delay: 0s, 0s;
  transition-delay: 0s, 0s;
}
.videoPoster:before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 80px;
  height: 80px;
  margin: -40px 0 0 -40px;
  border: 5px solid #fff;
  border-radius: 100%;
  -webkit-transition: border-color 300ms;
  -moz-transition: border-color 300ms;
  transition: border-color 300ms;
}
.videoPoster:after {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  width: 0;
  height: 0;
  margin: -20px 0 0 -10px;
  border-left: 40px solid #fff;
  border-top: 25px solid transparent;
  border-bottom: 25px solid transparent;
  -webkit-transition: border-color 300ms;
  -moz-transition: border-color 300ms;
  transition: border-color 300ms;
}
.videoPoster:hover:before, .videoPoster:focus:before { border-color: #f00;}
.videoPoster:hover:after, .videoPoster:focus:after {  border-left-color: #f00;}
.videoWrapperActive .videoPoster {
  opacity: 0;
  height: 0;
  -webkit-transition-delay: 0s, 800ms;
  -moz-transition-delay: 0s, 800ms;
  transition-delay: 0s, 800ms;
}

/*Form*/
input,select option,select, textarea {
  width: 79%; height:auto;
  margin: .7vw;
  padding: .5vw;
  font-size: 1.2vw;
  font-style:italic;
  line-height: 1.4;
  background-color: #f9f9f9;
  border: 1px solid #e5e5e5;
  border-radius: 3px;
  -webkit-transition: 0.35s ease-in-out;
  -moz-transition: 0.35s ease-in-out;
  -o-transition: 0.35s ease-in-out;
  transition: 0.35s ease-in-out;
  transition: all 0.35s ease-in-out;
}
input:focus {outline: 0; border-color: #64ac15;}
input:focus + .input-icon i {color: #87DC60;}
input:focus + .input-icon:after {border-right-color: #7ed321;}
select {display: inline-block;  width: 50%;  text-align: center;  float: left;  border-radius: 0;}
input:checked + label:after { opacity: 1;}
.input-group {margin-bottom: 1em; margin-top: 1em;  zoom: 1; position: relative; display: inline-block;}
.input-group:before,.input-group:after {  content: "";  display: table; }
.input-group:after {clear: both; }
.input-group-icon {position: relative;}
.input-group-icon input { padding-left: 4.4em;}
.input-group-icon .input-icon {
  position: absolute;
  top: 0;
  left: 0;
  width: 3.7em;
  height: 3.7em;
  line-height: 2.1em;
  font-size:2.1vw;
  text-align: center;  
}
.input:invalid {color:red;}
.input:valid {box-shadow: 2px 2px 5px 1px green; color:green; font-weight:600;}
.small {width:80%;}
.container {
  max-width: 48em;
  padding: 1em 3em 2em 3em;
  margin: 0em auto;
  background-color: #fff;
  border-radius: 4.2px;
  box-shadow: 0px 3px 10px -2px rgba(0, 0, 0, 0.2);
}

/*Links*/
.list {display: flex;  flex-wrap: wrap;}
.list-item {	display: flex;   padding: 0.5em; width: 100%;}
@media all and (min-width: 40em) {  .list-item { width: 50%;  }
}
@media all and (min-width: 60em) {.list-item {    width: 33.33%;  }
}
.list-content {background-color: #fff;  display: flex;  flex-direction: column;  padding:1em; width: 100%; line-height:3vh;}
.list-content p {flex: 1 0 auto;}
.linkimage {height:25vh; margin: 1.4vw; border:0; transition: transform 0.5s;}
.linkimage:hover {transform: scale(1.05); box-shadow: 5px 10px 5px rgba(0, 0, 0, 0.2)}

/*Fraccions*/
.formula {text-align:center; width:50%;}
.eq-c{color:#036; text-align:center; font-size:90%; font-weight:600; background-color:#CDF; padding:1vw;}
.fraction { display: inline-block; vertical-align: middle; margin: 0.1em 0.3em 0.4ex; }
.fraction > span {display: block; padding-top: 0.15em;}
.fraction span.fdn {border-top: thin solid black;}
.fraction span.bar {display: none;}

/*Taula*/
.zebra table {}
.zebra td, .zebra th {width:29%; color: #333; padding:.2vw; border-bottom: 1px solid #f2f2f2; font-size:80%; text-align: center; }
.zebra tbody tr:nth-child(even) {background: #fff;}
.zebra tr {text-align: center; text-shadow: 0 1px 0 rgba(255,255,255,.5); background-color:#B4E2E6;}

/*Llista*/
.circle-list li{padding: 2.1em; border-bottom: 1px dashed #ccc;}
.circle-list h3{position: relative; margin: 0;}
.circle-list p{ margin: 0;}
.circle-list h3:before{
   content: counter(li);
   counter-increment: li;
   position: absolute;    
   z-index: -1;
   left: -1.3em;
   top: -.8em;
   padding-top:.2em;
   background: #f5f5f5;
   height: 1.5em;
   width: 1.5em;
   border: .1em solid rgba(0,0,0,.05);
   text-align: center;
   color: #ccc;
   -moz-border-radius: 1.5em;
   -webkit-border-radius: 1.5em;
   border-radius: 1.5em;
   -webkit-transition: all .2s ease-out;
   -moz-transition: all .2s ease-out;
   -ms-transition: all .2s ease-out;
   -o-transition: all .2s ease-out;
   transition: all .2s ease-out;    
}
.circle-list li:hover h3:before{
	 background-color:gold;
	  border-color: rgba(0,0,0,.08);
	  border-width: .2em;
	   color: #036;
	   -webkit-transform: scale(1.5);
	    -moz-transform: scale(1.5);
	    -ms-transform: scale(1.5);
	    -o-transform: scale(1.5);
	    transform: scale(1.5);
}
/*Bonificacions*/
.plans {width: 836px; margin: 50px auto; overflow: hidden;}
.plan {
  float: left;
  width: 150px;
  margin: 20px 2px;
  padding: 15px 25px;
  text-align: center;
  background: white;
  background-clip: padding-box;
  border: 2px solid #e5ded6;
  border-color: rgba(black, .1);
  border-radius: 5px;
}
.plan-title {margin-bottom: 12px; font-size: 1.7vw; color: #36bce6; text-shadow: 0 0 15px rgba(255,255,255,.5), 0 0 10px rgba(255,255,255,.5);}
.plan-price {margin-bottom: 20px;  line-height: 1;  font-size: 28px;  font-weight: bold;  color: #fd935a; text-shadow: 2px 2px 2px rgba(255,255,255,.8), 2px 2px 2px rgba(0,0,0,.5),  2px 2px 2px rgba(0,0,0,.2);
 }
.plan-unit {display: block;  margin-top: 5px;  font-size: 13px;  font-weight: normal;  color: #aaa;}
.plan-features {width: 120px;  margin: 20px auto 15px;  padding: 15px 0 0 15px;  border-top: 1px solid #e5ded6;  text-align: left;}
.plan-feature {line-height: 20px;  font-size: 24px;  font-weight: 500;  color: #333;  & + & { margin-top: 5px; }}
.plan-feature-unit {margin-left: 2px;  font-size: 16px;}
.plan-feature-name {font-size: 13px; font-weight: normal; color: #aaa;}
.plan-button {
  position: relative;
  display: block;
  padding:1vw 2vw 1vw 2vw;
  font-size: 1.2vw;
  font-weight: 500;
  color: white;
  text-align: center;
  text-decoration: none;
  text-shadow: 0 1px rgba(black, .1);
  background: #fd935e;
  border-bottom: 2px solid #cf7e3b;
  border-color: rgba(black, .15);
  border-radius: 4px;
  &:active {
    top: 2px;
    margin-bottom: 2px; 
    border-bottom: 0;
  }
}
.plan:hover {
  margin-top: 0;
  margin-bottom: 0;
  padding-left: 15px;
  padding-right: 15px;
  width: 170px;
  border: 4px solid #37bbe6;
}

.plan-recommended {
  width: 160px;
  margin: -15px auto 15px;
  padding-bottom: 2px;
  line-height: 22px;
  font-size: 14px;
  font-weight: bold;
  color: white;
  text-shadow: 0 1px rgba(black, .05);
  background: #37bbe6;
  border-radius: 0 0 4px 4px;
}
.plan-bonus {
  width: 7.1vw;
  padding: 5px;
  font-size: 1.3vw;
  font-weight: bold;
  color: white;
  text-shadow: 0 1px rgba(black, .05);
  background: #37bbe6;
  border-radius: 4px;
  cursor: pointer;
}
.plan-bonus:hover {background: #32bce5;  border-color: #3996b3;}

button:disabled, button[disabled]{cursor: not-allowed;}

/*Estadístiques*/
.dflex{display: flex;}
.text{width:20%;text-align: center;margin: 0 .8em 1em; color:#777;}
.main{align-items: center; justify-content: center; align-content: flex-end;}
.estadicon {font-size:170%; opacity:.7;}
.stat{background-color: #EEE; padding:1vw;}

/*Bonus*/
.bonificacio{
  width: 70%;
  left: 15%;
  border: #F1C40F 2px solid;
  border-radius: 14px;
  height: 35vh;
  background: #EBD0A9;
	 
background-image: radial-gradient(white 15%, transparent 16%),
radial-gradient(white 15%, transparent 16%);
background-size: 60px 60px;
background-position: 0 0, 30px 30px;
  padding: 1vw;
 box-shadow: 10px 10px 5px #aaaaaa;
}
.unit{
	max-width:12%; background: white; text-align: center; float: left; height: 17vh; border-radius: 8px; border: 4px solid gray; padding: 1vw; margin-left:.2vw;	
}
.tlogo{
  color: #ffe84a;
  font-size: 500%;
  font-weight: 800;
  letter-spacing: -0.025em;
  line-height: 0.9;
  text-align: center;
  text-shadow: stroke(1px, #ce5331), blockShadow(3, #ce5331);
  text-transform: uppercase;}
  
  :root {
  --background-modal-color: #fff;
  --body-color: #fff;
  --color-timeline-default: #D2D3D8;
  --color-step-completed: #fff;
  --color-checkmark-completed: #fff;
  --color-in-progress: #13CB8F;
  --color-label-default: var(--color-timeline-default);
  --color-label-completed: var(--color-step-completed);
  --color-label-loading: var(--color-in-progress);
  --color-icon-completed: var(--color-step-completed);
  --color-icon-default: var(--color-timeline-default);
}
 
body .main-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  transition: all 200ms ease;
  background: var(--background-modal-color);
  height: auto;
  padding:2vw;
  max-width: 75vw;
  flex-grow: 1;
  border-radius: 5px;
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.14);
}
body .main-container .steps-container {
  padding: 40px;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
}
body .main-container .steps-container .step {
  z-index: 1;
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: all 200ms ease;
  flex-grow: 0;
  height: 2.5vw;
  width: 2.5vw;
  border: 0 ;
  border-radius: 50%;
  font-size:100%;
}
body .main-container .steps-container .step .preloader, body .main-container .steps-container .step svg {display: none;}
body .main-container .steps-container .step.completed {
  width: 2.5vw;
  height: 2.5vw;
  background: var(--color-step-completed);
  border: none;
  font-size:125%;
  border: 2px solid #D2D3D8;
}
body .main-container .steps-container .step.completed svg {
  transition: all 200ms ease;
  display: block;
  height: 10px;
  width: 10px;
  fill: var(--color-checkmark-completed);
}
body .main-container .steps-container .step.in-progress { width: 2.5vw; height: 2.5vw;  background: var(--color-in-progress); border: none;}
body .main-container .steps-container .step.in-progress .preloader {
  display: block;
  height: 10px;
  width: 10px;
  border: 2px solid #fff;
  border-radius: 50%;
  border-left-color: transparent;
  animation-name: spin;
  animation-duration: 2000ms;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}
body .main-container .steps-container .step .label {
  position: absolute;
  top: 3vw;
  filter: none;
  z-index: 2000;
  color: var(--color-label-default);
  transition: all 200ms ease;
  font-weight: 700;
  font-size:79%;
}
body .main-container .steps-container .step .label.completed { color: var(--color-label-completed);}
body .main-container .steps-container .step .label.loading { color: var(--color-label-loading);}
body .main-container .steps-container .step .icon {
  font-size: 40px;
  position: absolute;
  top: -60px;
  color: var(--color-icon-default);
  transition: color 200ms ease;
}
body .main-container .steps-container .step .icon.completed {color: var(--color-icon-completed);}
body .main-container .steps-container .step .icon.in-progress { color: var(--color-in-progress);}
body .main-container .steps-container .line {transition: all 200ms ease; height: 2px; flex-grow: 1; max-width: 150vw; background: var(--color-timeline-default);
}
body .main-container .steps-container .line.completed {background: var(--color-step-completed); border: 1px solid #C8EE9A;}
body .main-container .steps-container .line.next-step-uncomplete {
  background: linear-gradient(to right, var(--color-step-completed), var(--color-timeline-default));
}
body .main-container .steps-container .line.next-step-in-progress {
  background: linear-gradient(to right, var(--color-step-completed), var(--color-in-progress));
}
body .main-container .steps-container .line.prev-step-in-progress {
  background: linear-gradient(to right, var(--color-in-progress), var(--color-timeline-default));
}

@keyframes spin {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(360deg);
  }
}

/*Profe*/
.containerp {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}
.item {
  width: 26%;
  text-align: center;
  padding: 3% 1% 3% 1%;
  border: 1px solid #EEE;
  border-radius: 3px;
  margin: .5vw;
  background: rgb(255,255,250, 0.7)
}
.item:hover {background-color:lightsteelblue;}

/*Ribbon*/
.ribbon-wrapper {position: relative;z-index:998;}
  .ribbon-front {
	background-color: #036;	height: auto; padding: .5vw 0 0.5vw 0;
	width: 75vw;
	position: relative;
	left:-2.5vw;
	z-index: 2; color:#f8f8f8; vertical-align: middle; text-align:center;text-shadow: 0px 1px 2px #cc6666;
}

  .ribbon-front,  .ribbon-back-left,  .ribbon-back-right {
	-moz-box-shadow: 0px 0px 4px rgba(0,0,0,0.55);
	-khtml-box-shadow: 0px 0px 4px rgba(0,0,0,0.55);
	-webkit-box-shadow: 0px 0px 4px rgba(0,0,0,0.55);
	-o-box-shadow: 0px 0px 4px rgba(0,0,0,0.55);
}

  .ribbon-edge-topleft,  .ribbon-edge-topright,  .ribbon-edge-bottomleft,  .ribbon-edge-bottomright {
	position: absolute;
	z-index: 1;
	border-style:solid;
	height:0px;
	width:0px;
}

  .ribbon-edge-topleft,  .ribbon-edge-topright {}
  .ribbon-edge-bottomleft,  .ribbon-edge-bottomright {top: 50px;}
  .ribbon-edge-topleft,  .ribbon-edge-bottomleft {left:-2.5vw; border-color: transparent #035 transparent transparent;}
  .ribbon-edge-topleft {top: -5px;	border-width: 5px 10px 0 0;}
  .ribbon-edge-bottomleft {	border-width: 0 10px 0px 0;}
  .ribbon-edge-topright, .ribbon-edge-bottomright {left: 72vw; border-color: transparent transparent transparent #034;}
  .ribbon-edge-topright {top: 0px;border-width: 0px 0 0 10px;}
  .ribbon-edge-bottomright {border-width: 0 0 5px 10px;}

/*Text Speech*/
#speech {visibility:hidden;}
.buttons {margin-top:2vh;}
.buttons button {background: white; border: none;cursor: pointer; height: 2vw; outline: none; padding: 0; width: 2vw;}
#play {background-image: url(https://rpsthecoder.github.io/js-speech-synthesis/play.svg); margin-right:.25vw;}
#play.played {background-image: url(https://rpsthecoder.github.io/js-speech-synthesis/play1.svg);}
#pause {background-image: url(https://rpsthecoder.github.io/js-speech-synthesis/pause.svg);  margin-right:.25vw;}
#pause.paused {background-image: url(https://rpsthecoder.github.io/js-speech-synthesis/pause1.svg);}
#stop {background-image: url(https://rpsthecoder.github.io/js-speech-synthesis/stop.svg); margin-right:.25vw;}
#stop.stopped {background-image: url(https://rpsthecoder.github.io/js-speech-synthesis/stop1.svg);}

/*Rating*/
.rating {font-size: 0; text-align: center;}
.rating span {font-size: 2.4vw;}
.rating span::before {content: "☆"; color: sandybrown;}
.rating span.active::before {content: "★"; color: orange;}
.rating span:hover {cursor: pointer;}
.rating p {font-size:1.5vw; color:#E74C3C;}

/* Advertisment */
.alert {
  display: flex;
  position: fixed;
  top: 7vh;
  right: 1.25vw;
  min-height: 67px;
  width: 560px;
  max-width: 90%;
  font-size: 79%;
  border-radius: 12px;
  padding: 16px 22px 17px 20px;
  align-items: center;
  z-index:1000;
}
.alert-warning {background: #222b45;}
.alert-success {background:#12c99b;}
.alert-primary {background: #0676ed; opacity: 0;}
.alert-dark {background:#e41749;}
.alert-error {background: #151a30;}
.alert .icon__wrapper {
  height: 34px;
  width: 34px;
  border-radius: 50%;
  background: rgba(255, 255, 255, 0.253);
  display: flex;
  align-items: center;
  justify-content: center;
}
.alert .icon__wrapper span {  font-size: 21px;  color: #fff;}
.alert p {  color: #fff;  margin-left: 10px; margin-right:15px;}
.alert p a,.alert p a:visited,.alert p a:active {  color: #fff;}
.alert .open {  margin-left: auto;  margin-right: 5px;}
.alert .closeadv, .alert .open {
  color: #fff;
  transition: transform 0.5s;
  font-size: 18px;
  cursor: pointer;
}
.alert .closeadv:hover, .alert .open:hover {transform: scale(1.3); color:darkorange;}

.animate--drop-in-fade-out {
	animation: example .5s forwards ease-in-out ;
    animation-delay: 1.5s;
	animation-timing-function: cubic-bezier(.32,1.75,.65,.91);
}
	
@keyframes example {
  0% {opacity: 0;  visibility: visible; transform: translate3d(0, -200%, 0);}
  100% {opacity: 1; visibility: visible; transform: translate3d(0, 0, 0);}
}

/*Exercicis*/
#newfooter {
  position: absolute;
  right: 0;
  bottom: 0;
  left: 0;
  width:100%;
  padding:0;
  background-color: #283747;
  color:#CCC;
}
a.test, .test {color:white;}
.test {
	box-shadow: 0px 10px 14px -7px #3e7327;
	background:linear-gradient(to bottom, #77b55a 5%, #72b352 100%);
	background-color:#77b55a;
	border-radius:4px;
	border:1px solid #4b8f29;
	display:inline-block;
	color:#73C6B6; 
	cursor:pointer;
	font-size:1.25vw;
	font-weight:400;
	padding:.7vw 1.2vw;
	text-decoration:none;
	margin-left:1vw;
	margin-right:.5vw;
	  margin:.2vw;
}
.test:hover {background:linear-gradient(to bottom, #72b352 5%, #77b55a 100%);background-color:#72b352;}
.test:active {position:relative;top:1px;}
.clue{height:20vh; border:0; margin:4vh 0 10vh 0;}
.buttonarrow2{font-size:240%; background-color:transparent;border:0px; vertical-align: middle; margin:.2vw; cursor:pointer; color:#CCC;}
.buttonarrow:hover,.buttonarrow2:hover{color:#999;} 
	